Bug 1487575 - Hardcoded libdir in pkgconfig
Summary: Hardcoded libdir in pkgconfig
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hamlib
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lucian Langa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-01 10:07 UTC by Jaroslav Škarvada
Modified: 2018-03-06 17:18 UTC (History)
6 users (show)

Fixed In Version: hamlib-3.1-9.fc25 hamlib-3.1-9.fc26 hamlib-3.1-9.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-11 02:25:52 UTC
Type: Bug


Attachments (Terms of Use)
Proposed fix sent upstream (263 bytes, patch)
2017-09-01 10:07 UTC, Jaroslav Škarvada
no flags Details | Diff

Description Jaroslav Škarvada 2017-09-01 10:07:35 UTC
Created attachment 1320889 [details]
Proposed fix sent upstream

Description of problem:
There is hardcoded lib in the pkgconfig, which is wrong on 64 bits.

Version-Release number of selected component (if applicable):
hamlib-3.1-8.fc28

How reproducible:
Always

Steps to Reproduce:
1. check hamlib.pc on 64 bit machine

Actual results:

libdir=${exec_prefix}/lib

Expected results:
libdir=/usr/lib64

Additional info:
Attached patch sent to upstream mailing list.

Comment 1 Fedora Update System 2017-09-02 16:01:41 UTC
hamlib-3.1-9.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7bbf51f160

Comment 2 Fedora Update System 2017-09-02 16:01:53 UTC
hamlib-3.1-9.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4a75f97155

Comment 3 Fedora Update System 2017-09-02 16:02:03 UTC
hamlib-3.1-9.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2a19a7c9bb

Comment 4 Fedora Update System 2017-09-03 05:25:04 UTC
hamlib-3.1-9.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4a75f97155

Comment 5 Fedora Update System 2017-09-03 06:26:16 UTC
hamlib-3.1-9.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7bbf51f160

Comment 6 Fedora Update System 2017-09-03 19:55:33 UTC
hamlib-3.1-9.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2a19a7c9bb

Comment 7 Fedora Update System 2017-09-11 02:25:52 UTC
hamlib-3.1-9.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-09-11 04:21:01 UTC
hamlib-3.1-9.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-03-06 17:18:35 UTC
hamlib-3.1-9.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.